#include "blinkasm.pio.h"

void setup() {

gpio_init(0);
gpio_set_dir(0, GPIO_OUT);

pio_gpio_init(pio0, 15);         
uint offset = pio_add_program(pio0, &blinkasm_program);         
pio_sm_set_consecutive_pindirs(pio0, 0, 15, 1, true);          
pio_sm_config c = blinkasm_program_get_default_config(offset); 
sm_config_set_set_pins(&c, 15, 1);                  
sm_config_set_clkdiv(&c, 50000);                       
pio_sm_init(pio0, 0, offset, &c);       
pio_sm_set_enabled(pio0, 0, true);
}


void loop() {

  sleep_ms(500);
  gpio_put(0, 1);
  sleep_ms(500);
  gpio_put(0, 0);
}
